Anyone know of an open source HP 700/92 emulator? - Questions

This is a discussion on Anyone know of an open source HP 700/92 emulator? - Questions ; Hey all. I'm in need of an HP 700/92 terminal emulation program. After seeing what I did with ltsp for information terminals, my boss wants to see if we can replace some of our terminals with diskless linux PCs with ...

+ Reply to Thread
Results 1 to 4 of 4

Thread: Anyone know of an open source HP 700/92 emulator?

  1. Anyone know of an open source HP 700/92 emulator?

    Hey all. I'm in need of an HP 700/92 terminal emulation program.
    After seeing what I did with ltsp for information terminals, my boss
    wants to see if we can replace some of our terminals with diskless
    linux PCs with some kind of terminal emulation software. There's
    plenty of commercial options, but if we can do it with Free software
    on our existing hardware we don't have to get anything approved.

    I found a program called hpterm on sourceforge, but couldn't get it to
    compile on my system - it's only version 0.3. Are there any stable
    open source programs that can do this job?

    Many thanks

    maddman

  2. Re: Anyone know of an open source HP 700/92 emulator?

    "maddman" wrote in message
    news:bea807ca.0312171212.60b7f03c@posting.google.c om

    > I found a program called hpterm on sourceforge, but couldn't get it to
    > compile on my system - it's only version 0.3.


    It's always helpful when one is more descriptive with the errors that one is
    encountering. What does "couldn't get it to compile" mean? What exact errors
    are you encountering?

    Did you install the necessary Qt/X11 libraries first?
    http://www.trolltech.com/download/qt/x11.html

    --
    use hotmail for any email replies



    -----= Posted via Newsfeeds.Com, Uncensored Usenet News =-----
    http://www.newsfeeds.com - The #1 Newsgroup Service in the World!
    -----== Over 100,000 Newsgroups - 19 Different Servers! =-----

  3. Re: Anyone know of an open source HP 700/92 emulator?

    "ynotssor" <"ynotssor"> wrote in message news:<3fe0ce9b_3@corp.newsgroups.com>...
    > "maddman" wrote in message
    > news:bea807ca.0312171212.60b7f03c@posting.google.c om
    >
    > > I found a program called hpterm on sourceforge, but couldn't get it to
    > > compile on my system - it's only version 0.3.

    >
    > It's always helpful when one is more descriptive with the errors that one is
    > encountering. What does "couldn't get it to compile" mean? What exact errors
    > are you encountering?
    >
    > Did you install the necessary Qt/X11 libraries first?
    > http://www.trolltech.com/download/qt/x11.html


    The software doesn't list what it required for it. I show that the
    libqt3-3.1.1-13mdk package is installed when I search for 'Qt' in the
    control center/package manager.

    I grabbed the error, here is what it produced.

    -------------------------------------------------------
    In file included from /usr/include/c++/3.2.2/backward/fstream.h:31,
    from genmake.cpp:30:
    /usr/include/c++/3.2.2/backward/backward_warning.h:32:2: warning:
    #warning This file includes at least one deprecated or antiquated
    header. Please consider using one of the 32 headers found in section
    17.4.1.2 of the C++ standard. Examples include substituting the
    header for the header for C++ includes, or instead of
    the deprecated header . To disable this warning use
    -Wno-deprecated.
    genmake.cpp: In function `void checkFile(const char*)':
    genmake.cpp:172: `cout' undeclared (first use this function)
    genmake.cpp:172: (Each undeclared identifier is reported only once for
    each function it appears in.)
    genmake.cpp:172: `endl' undeclared (first use this function)
    genmake.cpp: At global scope:
    genmake.cpp:233: `ostream' was not declared in this scope
    genmake.cpp:233: `out' was not declared in this scope
    genmake.cpp:234: syntax error before `{' token
    genmake.cpp:254: parse error before `if'
    genmake.cpp:269: `QTDirs' was not declared in this scope
    genmake.cpp:271: parse error before `if'
    genmake.cpp:274: ISO C++ forbids declaration of `app' with no type
    genmake.cpp:274: `int app' redeclared as different kind of symbol
    genmake.cpp:63: previous declaration of `void app(char*, const char*)'
    genmake.cpp:274: initializer list being treated as compound expression
    genmake.cpp:274: invalid conversion from `const char*' to `int'
    genmake.cpp:275: ISO C++ forbids declaration of `app' with no type
    genmake.cpp:275: redefinition of `int app'
    genmake.cpp:274: `int app' previously defined here
    genmake.cpp:275: initializer list being treated as compound expression
    genmake.cpp:275: invalid conversion from `const char*' to `int'
    genmake.cpp:276: parse error before `}' token
    genmake.cpp:280: ISO C++ forbids declaration of `app' with no type
    genmake.cpp:280: redefinition of `int app'
    genmake.cpp:275: `int app' previously defined here
    genmake.cpp:280: initializer list being treated as compound expression
    genmake.cpp:280: invalid conversion from `const char*' to `int'
    genmake.cpp:281: ISO C++ forbids declaration of `app' with no type
    genmake.cpp:281: redefinition of `int app'
    genmake.cpp:280: `int app' previously defined here
    genmake.cpp:281: initializer list being treated as compound expression
    genmake.cpp:281: invalid conversion from `const char*' to `int'
    genmake.cpp:282: parse error before `}' token
    genmake.cpp:286: ISO C++ forbids declaration of `ok' with no type
    genmake.cpp:287: parse error before `}' token
    genmake.cpp:289: `QTDirs' was not declared in this scope
    genmake.cpp:290: parse error before `if'
    genmake.cpp:301: ISO C++ forbids declaration of `ok' with no type
    genmake.cpp:301: redefinition of `int ok'
    genmake.cpp:286: `int ok' previously defined here
    genmake.cpp:302: parse error before `}' token
    genmake.cpp:317: `X11Dirs' was not declared in this scope
    genmake.cpp:319: parse error before `if'
    genmake.cpp:322: ISO C++ forbids declaration of `app' with no type
    genmake.cpp:322: redefinition of `int app'
    genmake.cpp:281: `int app' previously defined here
    genmake.cpp:322: initializer list being treated as compound expression
    genmake.cpp:322: invalid conversion from `const char*' to `int'
    genmake.cpp:323: ISO C++ forbids declaration of `app' with no type
    genmake.cpp:323: redefinition of `int app'
    genmake.cpp:322: `int app' previously defined here
    genmake.cpp:323: initializer list being treated as compound expression
    genmake.cpp:323: invalid conversion from `const char*' to `int'
    genmake.cpp:324: parse error before `}' token
    genmake.cpp:328: ISO C++ forbids declaration of `ok' with no type
    genmake.cpp:328: redefinition of `int ok'
    genmake.cpp:301: `int ok' previously defined here
    genmake.cpp:329: parse error before `}' token
    genmake.cpp:338: parse error before `if'
    genmake.cpp:359: syntax error before `<<' token
    genmake.cpp:365: `ostream' was not declared in this scope
    genmake.cpp:365: `out' was not declared in this scope
    genmake.cpp:366: variable or field `genGenericDefs' declared void
    genmake.cpp:366: syntax error before `{' token
    genmake.cpp:373: syntax error before `<<' token
    genmake.cpp:378: `ostream' was not declared in this scope
    genmake.cpp:378: `out' was not declared in this scope
    genmake.cpp:379: variable or field `genGenericRules' declared void
    genmake.cpp:379: syntax error before `{' token
    genmake.cpp:423: `ostream' was not declared in this scope
    genmake.cpp:423: `out' was not declared in this scope
    genmake.cpp:424: variable or field `genGNUInclude' declared void
    genmake.cpp:424: syntax error before `{' token
    genmake.cpp:430: `ostream' was not declared in this scope
    genmake.cpp:430: `out' was not declared in this scope
    genmake.cpp:431: variable or field `genGenerate' declared void
    genmake.cpp:431: syntax error before `{' token
    genmake.cpp:443: syntax error before `<<' token
    genmake.cpp: In function `void genAny(const char*, const char*, const
    char*, const char*)':
    genmake.cpp:459: `genPaths' cannot be used as a function
    genmake.cpp:466: `genGenericDefs' cannot be used as a function
    genmake.cpp:467: `genGenericRules' cannot be used as a function
    genmake.cpp:468: `genGenerate' cannot be used as a function
    genmake.cpp:469: `genGNUInclude' cannot be used as a function
    genmake.cpp: In function `void genProject(const char*)':
    genmake.cpp:497: `genGenericDefs' cannot be used as a function
    genmake.cpp:498: `genGenerate' cannot be used as a function
    genmake.cpp: In function `tTarget findTarget(const char*, const char*,
    const char*, const char*)':
    genmake.cpp:532: `cerr' undeclared (first use this function)
    genmake.cpp: In function `int main(int, char**)':
    genmake.cpp:646: `app' cannot be used as a function
    genmake.cpp:647: `app' cannot be used as a function
    genmake.cpp:652: `app' cannot be used as a function
    genmake.cpp:653: `app' cannot be used as a function
    genmake.cpp:658: `app' cannot be used as a function
    genmake.cpp:659: `app' cannot be used as a function
    genmake.cpp:664: `app' cannot be used as a function
    ../configure: line 4: ./genmake: No such file or directory
    -------------------------------------------------------------------

    I'm a networking guy and a bit of a scripter, not a programmer. But
    from the look of things its almost like my system really doesn't like
    the way the program was written, with the antiquated headers warning
    and all. Or maybe I need additional libraries? I'm really not sure.

    TIA, maddman

  4. Re: Anyone know of an open source HP 700/92 emulator?

    "maddman" wrote in message
    news:bea807ca.0312180613.49a2950d@posting.google.c om

    >>> I found a program called hpterm on sourceforge, but couldn't get it
    >>> to compile on my system - it's only version 0.3.

    >>
    >> It's always helpful when one is more descriptive with the errors
    >> that one is encountering. What does "couldn't get it to compile"
    >> mean? What exact errors are you encountering?
    >>
    >> Did you install the necessary Qt/X11 libraries first?
    >> http://www.trolltech.com/download/qt/x11.html

    >
    > The software doesn't list what it required for it. I show that the
    > libqt3-3.1.1-13mdk package is installed when I search for 'Qt' in the
    > control center/package manager.


    Following the links on the sourceforge.net site to the project homepage (
    http://chris.medis.de/ ) says:

    "hpterm 0.3 HP 700/92 Terminal-Emulation for FreeBSD, Solaris and Linux
    based on Troll Tech's Qt GUI library."

    It doesn't say it involves the "libqt3-3.1.1-13mdk package".


    tony


    --
    use hotmail for any email replies



    -----= Posted via Newsfeeds.Com, Uncensored Usenet News =-----
    http://www.newsfeeds.com - The #1 Newsgroup Service in the World!
    -----== Over 100,000 Newsgroups - 19 Different Servers! =-----

+ Reply to Thread